#ifndef PINS_H
#define PINS_H

#define X_STEP_PIN         15
#define X_DIR_PIN          16
#define X_ENABLE_PIN       14
#define X_MIN_PIN          5

#define Y_STEP_PIN         18
#define Y_DIR_PIN          19
#define Y_ENABLE_PIN       17
#define Y_MIN_PIN         6

#define Z_STEP_PIN         9
#define Z_DIR_PIN          10
#define Z_ENABLE_PIN       8
#define Z_MIN_PIN         7

#define E0_STEP_PIN        12
#define E0_DIR_PIN         13
#define E0_ENABLE_PIN      11

#define SDPOWER            -1
#define SDSS               -1
#define LED_PIN            -1
#define FAN_PIN            -1
#define PS_ON_PIN          -1
#define KILL_PIN           -1

#define HEATER_0_PIN       3
#define HEATER_1_PIN       -1
#define HEATER_2_PIN       -1
#define TEMP_0_PIN         7    // MUST USE ANALOG INPUT NUMBERING NOT DIGITAL OUTPUT NUMBERING!!!!!!!!!
#define TEMP_1_PIN         -1
#define TEMP_2_PIN         -1
#define HEATER_BED_PIN     -1
#define TEMP_BED_PIN       -1

#define SENSITIVE_PINS {0, 1, X_STEP_PIN, X_DIR_PIN, X_ENABLE_PIN, X_MIN_PIN, Y_STEP_PIN, Y_DIR_PIN, Y_ENABLE_PIN, Y_MIN_PIN, Z_STEP_PIN, Z_DIR_PIN, Z_ENABLE_PIN, Z_MIN_PIN, PS_ON_PIN, \
                        HEATER_BED_PIN, FAN_PIN, E0_STEP_PIN, E0_DIR_PIN, E0_ENABLE_PIN, HEATER_0_PIN, analogInputToDigitalPin(TEMP_0_PIN), analogInputToDigitalPin(TEMP_BED_PIN) }

#endif //__PINS_H
